PHP Handbuch
Zurück | Kapitel 3. Installation | Nach vorne

# Komplette Liste der Konfigurationsoptionen

> Anmerkung: Diese Optionen werden nur zur Kompilierzeit genutzt. Wenn Sie die Laufzeitkonfiguration von PHP ändern möchten, lesen Sie bitte unter Configuration nach.

Nachstehend finden Sie die komplette Liste von Optionen, welche von den PHP 3 und PHP 4 `configure` Skripten unterstützt, und zum Kompilieren in einer Unix-ähnlichen Umgebung verwendet werden. Die Anmerkungen zeigen, ob eine Option in PHP 3, PHP 4, oder in beiden Versionen verfügbar ist. Es gibt auch einige Optionen, deren Namen in PHP 3 und PHP 4 differieren, aber den gleichen Effekt haben. Diese Einträge haben Querverweise zueinander, sodass Sie bei Problemen mit Optionen von PHP 3 schnell erkennen können, ob sich deren Namen geändert haben.

- Datenbank

- Ecommerce

- Grafik

- Verschiedenes

- Networking

- PHP Eigenschaften

- Server

- Text und Sprache

- XML

## Datenbank

`--with-adabas[=DIR]`

  PHP 3, PHP 4: Inkludiert Adabas D Unterstützung. DIR ist das Adabas Installationsverzeichnis. Default ist `/usr/local`.

  Adabas Homepage

`--enable-dba=shared`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: DBA als shared module erstellen

`--enable-dbx`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert DBX Unterstützung

`--enable-dbase`

  PHP 3: Ist in PHP 3 nicht verfügbar; verwenden Sie stattdessen --with-dbase

  PHP 4: Inkludieren der bundled dbase Bibliothek. Es sind keine externen Bibliotheken erforderlich.

`--with-dbase`

  PHP 3: Inkludieren der bundled dbase Bibliothek. Es sind keine externen Bibliotheken erforderlich.

  PHP 4: Ist nicht verfügbar; verwenden Sie stattdessen --enable-dbase.

`--with-db2[=DIR]`

  PHP 3, PHP 4: Inkludiert Berkeley DB2 Unterstützung

`--with-db3[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Berkeley DB3 Unterstützung

`--with-dbm[=DIR]`

  PHP 3, PHP 4: Inkludiert DBM Unterstützung

`--with-dbmaker[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert DBMaker Unterstützung. DIR ist das DBMaker base install directory, Default ist das Verzeichnis, in dem die letzte Version von DBMaker installiert ist (wie z.B. /home/dbmaker/3.6).

`--with-empress[=DIR]`

  PHP 3, PHP 4: Inkludiert Empress Unterstützung. DIR ist das Empress base install directory, Default ist $EMPRESSPATH

`--enable-filepro`

  PHP 3: Ist nicht verfügbar; verwenden Sie stattdessen --with-filepro.

  PHP 4: Aktiviert die bundled read-only filePro Unterstützung. Es sind keine externen Bibliotheken erforderlich.

`--with-filepro`

  PHP 3: Aktiviert die bundled read-only filePro Unterstützung. Es sind keine externen Bibliotheken erforderlich.

  PHP 4: Ist nicht verfügbar; verwenden Sie stattdessen --enable-filepro.

`--with-fbsql[=DIR]`

  PHP 3: Ist nicht verfügbar.

  PHP 4: Inkludiert FrontBase SQL Unterstützung. DIR ist das FrontBase base install directory, Default ist das übliche Frontbase Installationsverzeichnis. Das übliche Installationsverzeichnis ist von Ihrem OS abhängig: Solaris: `/opt/FrontBase`, WinNT: `\usr\FrontBase`, Linux: `/usr/frontbase`, Mac OSX: `/Library/FrontBase`.

`--with-gdbm[=DIR]`

  PHP 3, PHP 4: Inkludiert GDBM Unterstützung

`--with-hyperwave`

  PHP 3, PHP 4: Inkludiert Hyperwave Unterstützung

`--with-ibm-db2[=DIR]`

  PHP 3, PHP 4: Inkludiert IBM DB2 Unterstützung. DIR ist das DB2 base install directory, default ist `/home/db2inst1/sqllib`.

  IBM DB2 home page

`--with-informix[=DIR]`

  PHP 3, PHP 4: Inkludiert Informix Unterstützung. DIR ist das Informix base install directory, Hat keinen Defaultwert.

`--with-ingres[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Ingres II Unterstützung. DIR ist das Ingres base directory (default ist /II/ingres)

`--with-interbase[=DIR]`

  PHP 3, PHP 4: Inkludiert InterBase Unterstützung. DIR ist das InterBase base install directory, default ist `/usr/interbase`.

  Interbase Funktionen

  Interbase Homepage

`--with-ldap[=DIR]`

  PHP 3: Inkludiert LDAP Unterstützung. DIR ist das LDAP base install directory. Default ist `/usr` und `/usr/local`

  PHP 4: Inkludiert LDAP Unterstützung. DIR ist das LDAP base install directory.

  Dies bietet LDAP (Lightweight Directory Access Protocol Unterstützung). Der Parameter ist das LDAP base install directory, default ist `/usr/local/ldap`.

  Mehr Informationen über LDAP finden Sie in RFC1777 und RFC1778.

`--with-msql[=DIR]`

  PHP 3, PHP 4: Inkludiert mSQL Unterstützung. Der Parameter zu dieser Option ist das mSQL install directory, default ist `/usr/local/Hughes`. Das ist das Default Verzeichnis der mSQL 2.0 Distribution. configure erkennt automatisch welche Version von mSQL Sie benutzen. PHP unterstützt sowohl 1.0 als auch 2.0, wenn Sie jedoch PHP mit mSQL 1.0 kompilieren, können Sie nur mSQL 1.0 Datenbanken benutzen, und umgekehrt.

  Siehe auch mSQL Konfiguration Direktiven in der Konfigurationsdatei.

  mSQL Homepage

`--with-mysql[=DIR]`

  PHP 3: Inkludiert MySQL Unterstützung. DIR ist das MySQL base install directory, als default werden einige für MySQL Dateien übliche Stellen durchsucht.

  PHP 4: Inkludiert MySQL Unterstützung. DIR ist das MySQL base directory. Wenn nicht spezifiziert, wird die bundled MySQL Bibliothek verwendet. Diese Option ist standardmäßig aktiviert.

  Siehe auch MySQL Konfiguration Direktiven in der Konfigurationsdatei.

  MySQL Homepage

`--with-ndbm[=DIR]`

  PHP 3, PHP 4: Inkludiert NDBM Unterstützung.

`--with-ovrimos`

  PHP 3, PHP 4: Inkludiert Ovrimos Unterstützung.

`--with-oci8[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Oracle-oci8 Unterstützung. Default DIR ist ORACLE_HOME.

`--with-oracle[=DIR]`

  PHP 3: Inkludiert Oracle Datenbankunterstützung. DIR ist Oracle's Home directory, default ist $ORACLE_HOME.

  PHP 4: Inkludiert Oracle-oci7 Unterstützung. Default DIR ist ORACLE_HOME.

  Inkludiert Oracle Unterstützung, wurde getestet und sollte zumindest mit den Oracle Versionen 7.0 bis 7.3 funktionieren. Der Parameter ist das `ORACLE_HOME` Verzeichnis. Sie müssen diesen Parameter nicht angeben, wenn Ihre Oracle Umgebung aufgesetzt ist.

  Oracle home page

`--with-pgsql[=DIR]`

  PHP 3: Inkludiert PostgresSQL Unterstützung. DIR ist das PostgresSQL base install directory, default ist `/usr/local/pgsql`.

  PHP 4: Inkludiert PostgreSQL Unterstützung. DIR ist das PostgreSQL base install directory, default ist `/usr/local/pgsql`. Setzen Sie DIR auf shared um als ein dl zu builden, oder shared,DIR um als ein dl zu builden, und DIR zu spezifizieren.

  Siehe auch Postgres Konfiguration Direktiven in der Konfigurationsdatei.

  PostgreSQL home page

`--with-solid[=DIR]`

  PHP 3, PHP 4: Inkludiert Solid Unterstützung. DIR ist das Solid base install directory, default ist `/usr/local/solid`

  Solid Homepage

`--with-sybase-ct[=DIR]`

  PHP 3, PHP 4: Inkludiert Sybase-CT Unterstützung. DIR ist das Sybase home directory, default ist /home/sybase.

  Siehe auch Sybase-CT Konfigurations Direktiven in der Konfigurationsdatei.

`--with-sybase[=DIR]`

  PHP 3, PHP 4: Inkludiert Sybase-DB Unterstützung. DIR ist das Sybase home directory, default ist `/home/sybase`.

  Siehe auch Sybase Konfigurations Direktiven in der Konfigurationsdatei.

  Sybase Homepage

`--with-openlink[=DIR]`

  PHP 3, PHP 4: Inkludiert OpenLink ODBC Unterstützung. DIR ist das OpenLink base install directory, default ist `/usr/local/openlink`. Seit PHP 4.0.6 ist diese Option nicht mehr gültig. Verwenden Sie die Option `--with-iodbc`, wenn Sie das ODBC System von OpenLink Software benutzen wollen.

  OpenLink Software's Homepage

`--with-iodbc[=DIR]`

  PHP 3, PHP 4: Inkludiert iODBC Unterstützung. DIR ist das iODBC base install directory, default ist `/usr/local`.

  Dieses Feature wurde erst für iODBC Driver Manager entwickelt, einem frei verfügbaren ODBC Treibermanager, welcher unter vielen UNIX-Derivaten läuft.

  FreeODBC Homepage or iODBC Homepage

`--with-custom-odbc[=DIR]`

  PHP 3, PHP 4: Inkludiert Unterstützung für eine spezielle ODBC Bibliothek. Der Parameter ist das Basisverzeichnis, default ist `/usr/local`.

  Diese Option setzt voraus, dass Sie CUSTOM_ODBC_LIBS definiert haben, wenn Sie das configure Skript starten. Sie brauchen auch einen gültigen odbc.h header in Ihrem Include Pfad. Wenn Sie keinen haben, erstellen Sie ihn und inkludieren Sie Ihren spezifischen Header von dort. Ihr Header könnte auch ein paar zusätzliche Definitionen benötigen, speziell wenn es sich um eine Multiplattform handelt. Definieren Sie diese in CFLAGS.

  Zum Beispiel können Sie Sybase SQL Anywhere auf QNX wie folgt verwenden: `CFLAGS=-DODBC_QNX LDFLAGS=-lunix CUSTOM_ODBC_LIBS="-ldblib -lodbc" ./configure --with-custom-odbc=/usr/lib/sqlany50`

`--disable-unified-odbc`

  PHP 3: Unified ODBC Unterstützung verhindern. Ist nur angebracht, wenn iODBC, Adabas, Solid, Velocis oder eine spezielle ODBC Schnittstelle aktiviert ist.

  PHP 4: Ist unter PHP 4 nicht verfügbar.

  Das Unified ODBC Modul ist eine einheitliche Schnittstelle zu allen Datenbanken mit ODBC-basierten Schnittellen, wie z.B. Solid, IBM DB2 und Adabas D. Es arbeitet auch mit normalen ODBC Bibliotheken. Es wurde getestet mit iODBC, Solid, Adabas D, IBM DB2 und Sybase SQL Anywhere getestet. Es benötigt eine (und nur eine) dieser Erweiterungen oder die Velocis Erweiterung aktiviert, oder eine spezielle ODBC Bibliothek spezifiziert. Diese Option nur angebracht, wenn eine der folgenden Optionen verwendet wird: --with-iodbc, --with-solid, --with-ibm-db2, --with-adabas, --with-velocis, or --with-custom-odbc.

  Siehe auch Unified ODBC Konfiguration Direktiven in der Konfigurationsdatei.

`--with-unixODBC[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert unixODBC Unterstützung. DIR ist das unixODBC base install directory, default ist `/usr/local`.

`--with-velocis[=DIR]`

  PHP 3, PHP 4: Inkludiert Velocis Unterstützung. DIR ist das Velocis base install directory, default ist `/usr/local/velocis`.

  Velocis Homepage

## Ecommerce

`--with-ccvs[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Kompiliert CCVS Unterstützung in PHP 4. Bitte geben Sie Ihr CCVS base install directory als DIR an.

`--with-cybermut[=DIR]`

  PHP 3: Diese Option ist für PHP 3 nicht verfügbar.

  PHP 4: Cybermut-Unterstützung in PHP 4 einkompilieren. DIR ist das Cybermut SDK Basisverzeichnis, das mindestens die beiden Dateien `libcm-mac.a` und `cm-mac.h` enthält.

`--with-mck[=DIR]`

  PHP 3: Inkludiert Cybercash MCK Unterstützung. DIR ist das cybercash mck build directory, default ist `/usr/src/mck-3.2.0.3-linux`. Hilfe finden Sie in `extra/cyberlib`.

  PHP 4: Ist nicht verfügbar; verwenden Sie stattdessen --with-cybercash .

`--with-cybercash[=DIR]`

  PHP 3: Ist nicht verfügbar; verwenden Sie stattdessen --with-mck .

  PHP 4: Inkludiert CyberCash Unterstützung. DIR ist das CyberCash MCK install directory.

`--with-pfpro[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Verisign Payflow Pro Unterstützung

## Graphics

`--enable-freetype-4bit-antialias-hack`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Unterstützung für FreeType2 (experimentell).

`--with-gd[=DIR]`

  PHP 3: Inkludiert GD Unterstützung (DIR ist das GD install dir).

  PHP 4: Inkludiert GD Unterstützung (DIR ist das GD install dir). Setzen Sie DIR auf shared um als ein dl zu builden, oder shared,DIR um als ein dl zu builden und DIR trotzdem zu spezifizieren.

`--without-gd`

  PHP 3, PHP 4: Deaktiviert GD Unterstützung.

`--with-imagick[=DIR]`

  PHP 3: Inkludiert ImageMagick Unterstützung. DIR ist das Installationsverzeichnis, und wenn Sie es nicht angeben, versucht es PHP selbst zu finden. [experimentell]

  PHP 4: Ist in PHP 4 nicht verfügbar

`--with-jpeg-dir[=DIR]`

  PHP 3: jpeg dir für pdflib 2.0

  PHP 4: jpeg dir für pdflib 3.x and 4.x

`--with-png-dir[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: png dir für pdflib 3.x und 4.x

`--enable-t1lib`

  PHP 3: Inkludiert t1lib Unterstützung.

  PHP 4: Ist nicht verfügbar; verwenden Sie stattdessen --with-t1lib.

`--with-t1lib[=DIR]`

  PHP 3: Ist nicht verfügbar; verwenden Sie stattdessen --enable-t1lib.

  PHP 4: Inkludiert T1lib Unterstützung.

`--with-tiff-dir[=DIR]`

  PHP 3: tiff dir für pdflib 2.0

  PHP 4: tiff dir für pdflib 3.x und 4.x

`--with-ttf[=DIR]`

  PHP 3, PHP 4: Inkludiert FreeType Unterstützung

`--with-xpm-dir[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: xpm dir für gd-1.8+

## Verschiedenes

Diese Optionen werden mit der Zeit - wo angebracht - klassifiziert.

`--with-gmp`

  PHP 3, PHP 4 : Inkludiert GMP Unterstützung.

`--disable-bcmath`

  PHP 3: Kompiliert ohne BC arbitrary precision math Funktionen. Diese Funktionen erlauben Ihnen mit Zahlen außerhalb des bei regulären Integern und Floats erlaubten Bereiches zu arbeiten. Siehe auch BCMath Arbitrary Precision Mathematics Functions für weitere Informationen.

  PHP 4: Ist nicht verfügbar; bcmath ist nicht standardmäßig einkompiliert. Verwenden Sie --enable-bcmath, um es zu integrieren.

`--disable-display-source`

  PHP 3: Kompiliert ohne Unterstützung für Source-Anzeige

  PHP 4: Ist in PHP 4 nicht verfügbar

`--disable-libtool-lock`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Vermeiden Sie locking (könnte parallele Builds zerstören)

`--disable-pear`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Installiert kein PEAR

`--disable-pic`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Verhindert PIC für shared objects

`--disable-posix`

  PHP 3: Ist nicht verfügbar; verwenden Sie stattdessen --without-posix.

  PHP 4: Verhindert POSIX-ähnliche Funktionen

`--enable-pcntl`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert Prozeßsteuerungsfunktionen. (fork, waitpid, signal, etc.)

`--disable-rpath`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Verhindert die Übergabe weiterer runtime library search paths

`--disable-session`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Verhindert Session Unterstützung

`--enable-bcmath`

  PHP 3: Ist in PHP 3 nicht verfügbar; bcmath ist standardmäßig einkompiliert. Verwenden Sie --disable-bcmath, um dies zu verhindern.

  PHP 4: Kompiliert mit bc style precision math Funktionen. Siehe README-BCMATH für Instruktionen, wie dieses installiert wird. Diese Funktionen erlauben Ihnen, mit Zahlen außerhalb des bei regulären Integern und Floats erlaubten Bereiches zu arbeiten. Weitere Informationen finden Sie in BCMath Arbitrary Precision Mathematics Functions.

`--enable-c9x-inline`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert C9x-inline semantics

`--enable-calendar`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Unterstützung für Kalenderumrechnung

`--enable-debug`

  PHP 3, PHP 4: Kompiliere mit debugging symbols.

`--enable-debugger`

  PHP 3: Kompiliere mit remote debugging functions

  PHP 4: Ist in PHP 4 nicht verfügbar

`--enable-discard-path`

  PHP 3, PHP 4: Ist diese Option aktiviert, kann das CGI Binary sicher außerhalb des Web Verzeichnisbaumes platziert werden, und die Leute können die .htaccess Security nicht umgehen.

`--enable-dmalloc`

  PHP 3, PHP 4: Aktiviert dmalloc

`--enable-exif`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert exif Unterstützung

`--enable-experimental-zts`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Diese Option wird wahrscheinlich Ihren Build zerstören

`--enable-fast-install[=PKGS]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Optimiert für schnelle Installation [default=yes]

`--enable-force-cgi-redirect`

  PHP 3, PHP 4: Aktiviert die Sicherheitsprüfung für interne Server Redirects. Sie sollten dies verwenden, wenn Sie die CGI Version mit Apache einsetzen.

`--enable-inline-optimization`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Wenn Sie viel Speicher haben und gcc verwenden, können Sie dies probieren.

`--enable-libgcc`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Linkt explizit gegen libgcc

`--enable-maintainer-mode`

  PHP 3, PHP 4: Aktiviert make Regeln und Abhängigkeiten, welche für den unbeschwerten Installierer nicht hilfreich (und manchmal verwirrend) sind.

`--enable-mbstr-enc-trans`

  PHP 4: Aktiviert http input character automatic detection and translation für multi-byte character encodings.

  Warnung
  Diese Option ist nur für PHP 4.0.6 oder höher verfügbar.

`--enable-mbstring`

  PHP 4: Aktiviert mit multi-byte character encoding verwandte Funktionen.

  Warnung
  Diese Option ist nur für PHP 4.0.6 oder höher verfügbar.

`--enable-memory-limit`

  PHP 3, PHP 4: Kompiliert mit Memory Limit Unterstützung. [default=no]

`--enable-safe-mode`

  PHP 3, PHP 4: Aktiviert Safe Mode standardmäßig.

`--enable-satellite`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert CORBA Unterstützung über Satellite (Benötigt ORBit)

`--enable-shared[=PKGS]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Build mit shared libraries [default=yes]

`--enable-sigchild`

  PHP 3, PHP 4: Aktiviert PHP's eigenen SIGCHLD Handler.

`--enable-static[=PKGS]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Build mit static libraries [default=yes]

`--enable-sysvsem`

  PHP 3, PHP 4: Aktiviert die Unterstützung für System V semaphore Unterstützung.

`--enable-sysvshm`

  PHP 3, PHP 4: Aktiviert die Unterstützung für System V shared memory support

`--enable-trans-sid`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert Transparent Session ID Propagation

`--with-cdb[=DIR]`

  PHP 3, PHP 4: Inkludiert CDB Unterstützung

`--with-config-file-path=PATH`

  PHP 3: Setzt den Pfad, in welchem nach der php3.ini gesucht werden soll. Default ist `/usr/local/lib`.

  PHP 4: Setzt den Pfad, in welchem nach der `php.ini` gesucht werden soll. Default ist `/usr/local/lib`

`--with-cpdflib[=DIR]`

  PHP 3: Inkludiert ClibPDF Unterstützung. DIR ist das ClibPDF install directory, default ist `/usr/local`.

  PHP 4: Inkludiert cpdflib Unterstützung (benötigt cpdflib >= 2). DIR ist das cpdfllib Installatiionsverzeichnis, default ist `/usr`.

`--with-esoob[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Easysoft OOB Unterstützung. DIR ist das OOB base install directory, default ist `/usr/local/easysoft/oob/client`.

`--with-exec-dir[=DIR]`

  PHP 3, PHP 4: Erlaube Executables in DIR nur, wenn im Safe Mode. Default ist `/usr/local/php/bin`

`--with-fdftk[=DIR]`

  PHP 3, PHP 4: Inkludiert fdftk Unterstützung. DIR ist das fdftk install directory, default ist `/usr/local`.

`--with-gnu-ld`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Nimmt an, dass der C Compiler GNU ld verwendet [default=no]

`--with-icap[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert ICAP Unterstützung

`--with-imap[=DIR]`

  PHP 3, PHP 4: Inkludiert IMAP Unterstützung. DIR ist das IMAP include, und das c-client.a directory.

`--with-imsp[=DIR]`

  PHP 3: Inkludiert IMSP Unterstützung (DIR ist das IMSP include dir und libimsp.a dir).

  PHP 4: Ist in PHP 4 nicht verfügbar

`--with-java[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Java Unterstützung. DIR ist das base install directory für das JDK. Diese Extension kann nur als eine shared dl erstellt werden.

`--with-kerberos[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Kerberos Unterstützung in IMAP.

`--with-mcal[=DIR]`

  PHP 3, PHP 4: Inkludiert MCAL Unterstützung.

`--with-mcrypt[=DIR]`

  PHP 3, PHP 4: Inkludiert mcrypt Unterstützung. DIR ist das mcrypt install directory.

`--with-mhash[=DIR]`

  PHP 3, PHP 4: Inkludiert mhash Unterstützung. DIR ist das mhash install directory.

`--with-mm[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert mm Unterstützung für Session Storage

`--with-mod_charset`

  PHP 3, PHP 4: Aktiviert Transfer Tables für mod_charset (Rus Apache).

`--with-pdflib[=DIR]`

  PHP 3: Inkludiert pdflib Unterstützung (getestet mit 0.6 und 2.0). DIR ist das pdflib install directory, default ist `/usr/local`.

  PHP 4: Inkludiert pdflib 3.x/4.x Unterstützung. DIR ist die pdflib install location, default ist `/usr/local`.

  PHP 4 and PDFlib 3.x/4.x benötigen verfügbare JPEG und TIFF Bibliotheken. Wenn Sie PDFlib Unterstützung kompilieren, verwenden Sie die --with-jpeg-dir und --with-tiff-dir Konfigurationsoptionen. Sie können zusätzlich auch die Optionen --with-png-dir und --with-zlib-dir verwenden, um PNG und Zlib Unterstützung in die PDFlib Extension zu kompilieren.

`--enable-shared-pdflib`

  PHP 3, PHP 4: Aktiviert pdflib als shared library.

`--with-readline[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert readline Unterstützung. DIR ist das readline install directory.

`--with-regex=TYPE`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: regex Bibliothekstypen: system, apache, php

`--with-servlet[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert servlet Unterstützung. DIR ist das base install directory für das JSDK. Dieses SAPI verlangt, dass die Java Extension als ein shared dl erstellt wird.

`--with-ming`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Flash 4 Unterstützung, mit Ming

`--with-swf[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert swf Unterstützung

`--with-system-regex`

  PHP 3: Benutzt die bundled regex Bibliothek nicht

  PHP 4: (nicht empfohlen) Verwenden der system regex Bibliothek

`--with-tsrm-pth[=pth-config]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Verwendet GNU Pth.

`--with-tsrm-pthreads`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Verwendet POSIX threads (default)

`--with-x`

  PHP 3: Verwendet das X Window System

  PHP 4: Ist in PHP 4 nicht verfügbar

`--with-bz2[=DIR]`

  PHP 4: Inkludiert Unterstützung von bzip2. DIR ist das bzip2 Installationsverzeichnis.

`--with-zlib-dir[=DIR]`

  PHP 3: zlib dir für pdflib 2.0 oder inkludiere zlib Unterstützung

  PHP 4: zlib dir für pdflib 3.x/4.x oder inkludiere zlib Unterstützung

`--with-zlib[=DIR]`

  PHP 3, PHP 4: Inkludiert zlib Unterstützung (benötigt zlib >= 1.0.9). DIR ist das zlib Installationsverzeichnis, default ist `/usr`.

`--with-zip[=DIR]`

  PHP 4: Inkludiert zip Unterstützung (benötigt zziplib >= 0.10.6). DIR ist das zziplib Installationsverzeichnis, default ist `/usr/local`.

  Die letzte Version von zziplib finden Sie auf http://zziplib.sourceforge.net/.

`--without-pcre-regex`

  PHP 3: Ohne Perl Compatible Regular Expressions Unterstützung

  PHP 4: Ohne Perl Compatible Regular Expressions Unterstützung. Verwenden Sie --with-pcre-regex=DIR, um mit DIR anzugeben, wo sich die Include- und Bibliothekendateien von PCRE befinden, wenn Sie die bundled Bibliothek nicht verwenden.

`--without-posix`

  PHP 3: Ohne POSIX Funktionen

  PHP 4: Ist in PHP 4 nicht verfügbar; verwenden Sie stattdessen --disable-posix.

## Networking

`--with-curl[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert CURL Unterstützung

`--enable-ftp`

  PHP 3: Ist nicht verfügbar; verwenden Sie stattdessen --with-ftp.

  PHP 4: Inkludiert FTP Unterstützung

`--with-ftp`

  PHP 3: Inkludiert FTP Unterstützung.

  PHP 4: Ist nicht verfügbar; verwenden Sie stattdessen --enable-ftp.

`--disable-url-fopen-wrapper`

  PHP 3, PHP 4: Verhindere den URL-aware fopen wrapper, welcher den Zugriff auf Dateien über http oder ftp ermöglicht.

  Warnung
  Diese Option ist nur für PHP Versionen bis 4.0.3 verfügbar, aktuellere Versionen bieten den INI Parameter `allow_url_fopen`, damit Sie sich in diesem Punkt nicht schon bei der Kompilation festlegen müssen.

`--with-mod-dav=DIR`

  PHP 3, PHP 4: Inkludiert DAV Unterstützung über Apache's mod_dav, DIR ist mod_dav's Installationsverzeichnis (Nur Apache Modulversion!)

`--with-openssl[=DIR]`

  PHP 3, PHP 4: Inkludiert OpenSSL Unterstützung in SNMP.

`--with-snmp[=DIR]`

  PHP 3, PHP 4: Inkludiert SNMP Unterstützung. DIR ist das SNMP base install directory, default ist die Suche in einigen für die snmp Installation üblichen Verzeichnissen. Setzen Sie DIR auf shared um als ein dl zu builden, oder shared,DIR um als ein dl zu builden und DIR anzugeben.

`--enable-ucd-snmp-hack`

  PHP 3, PHP 4: Aktiviert UCD SNMP hack

`--enable-sockets`

  PHP 3: Ist in in PHP 3 nicht verfügbar

  PHP 4: Aktiviert sockets Unterstützung

`--with-yaz[=DIR]`

  PHP 3: Ist in in PHP 3 nicht verfügbar

  PHP 4: Inkludiert YAZ Unterstützung (ANSI/NISO Z39.50). DIR ist das YAZ bin install directory

`--enable-yp`

  PHP 3: Ist nicht verfügbar, verwenden Sie stattdessen --with-yp.

  PHP 4: Inkludiert YP Unterstützung

`--with-yp`

  PHP 3: Inkludiert YP Unterstützung

  PHP 4: Ist nicht verfügbar, verwenden Sie stattdessen --enable-yp.

`--with-mnogosearch`

  PHP 3, PHP 4: Inkludiert mnoGoSearch Unterstützung.

## PHP Verhalten

`--enable-magic-quotes`

  PHP 3, PHP 4: Aktiviert magic quotes standardmäßig.

`--disable-short-tags`

  PHP 3, PHP 4: Verhindert den short-form <? start tag standardmäßig.

`--enable-track-vars`

  PHP 3: Aktiviert GET/POST/Cookie track variables standardmäßig.

  PHP 4: Ist in PHP 4 nicht verfügbar; seit PHP 4.0.2 ist track_vars immer on.

## Server

`--with-aolserver-src=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Geben Sie den Pfad zur AOLserver source distribution an

`--with-aolserver=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Geben Sie Pfad zu dem installierten AOLserver an

`--with-apache[=DIR]`

  PHP 3, PHP 4: Erstelle ein Apache Modul. DIR ist das top-level Apache build directory, default ist `/usr/local/etc/httpd`.

`--with-apxs[=FILE]`

  PHP 3, PHP 4: Erstellt shared Apache Modul. FILE ist der optionale Pfadname zu dem Apache apxs tool; default ist apxs.

`--enable-versioning`

  PHP 3: Nutzt die Vorteile des Versionings und Scopings von Solaris 2.x und Linux

  PHP 4: Exportiere nur die benötigten Symbole. Siehe INSTALL für mehr Informationen

`--with-caudium[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Erstellt PHP als ein Pike Modul zur Verwendung mit dem Caudium Webserver. DIR ist das Caudium base directory. Ist kein Directory angegeben, wird $prefix/caudium/server angenommen. Das Präfix wird von der Option --prefix bestimmt, default ist `/usr/local`.

`--with-fhttpd[=DIR]`

  PHP 3, PHP 4: Erstellt das fhttpd Modul. DIR ist das fhttpd sources Directory, default ist `/usr/local/src/fhttpd`.

`--with-nsapi=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Geben Sie den Pfad zu dem installierten Netscape an.

`--with-phttpd=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4:

`--with-pi3web=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Erstellt PHP als ein Modul für Pi3Web.

`--with-roxen=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Erstellt PHP als ein Pike Modul. DIR ist das base Roxen directory, normalerweise `/usr/local/roxen/server`.

`--enable-roxen-zts`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Erstellt das Roxen Modul unter Verwendung der Zend Thread Safety.

`--with-thttpd=SRCDIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4:

`--with-zeus=DIR`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Erstellt PHP als ISAPI Modul für Zeus.

## Text and Sprache

`--with-aspell[=DIR]`

  PHP 3, PHP 4: Inkludiert ASPELL Unterstützung.

`--with-gettext[=DIR]`

  PHP 3, PHP 4: Inkludiert GNU gettext Unterstützung. DIR ist das gettext Installationsverzeichnis, default ist `/usr/local`

`--with-iconv[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar.

  PHP 4: Inkludiert iconv Unterstützung.

`--with-pspell[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar.

  PHP 4: Inkludiert PSPELL Unterstützung.

`--with-recode[=DIR]`

  PHP 3: Inkludiert GNU recode Unterstützung.

  PHP 4: Inkludiert recode Unterstützung. DIR ist das recode Installationsverzeichnis.

`--enable-shmop`

  PHP 3, PHP 4 : Aktiviert shmop Unterstützung.

## XML

`--with-dom[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert DOM Unterstützung (benötigt libxml >= 2.0). DIR ist das libxml Installationsverzeichnis, default ist `/usr`

`--enable-sablot-errors-descriptive`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert Descriptive errors

`--with-sablot[=DIR]`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Inkludiert Sablotron Unterstützung

`--enable-wddx`

  PHP 3: Ist in PHP 3 nicht verfügbar

  PHP 4: Aktiviert WDDX Unterstützung

`--disable-xml`

  PHP 3: Ist in PHP 3 nicht verfügbar; XML Funktionalität ist nicht standardmäßig inkludiert. Verwenden Sie --with-xml, um sie zu aktivieren.

  PHP 4: Verhindert XML Unterstützung mittels der bundled expat Bibliothek

`--with-xml`

  PHP 3: Inkludiert XML Unterstützung

  PHP 4: Ist nicht verfügbar; XML Unterstützung ist standardmäßig integriert. Verwenden Sie --disable-xml, um sie zu deaktivieren.

Zurück | Zum Anfang | Nach vorne
Unix/Mac OS X Installationen | Nach oben | Installation auf Windows Systemen